Name:           maven-repository-plugin
Version:        2.3.1
Release:        %mkrel 4
Summary:        Plugin to create bundles of artifacts for manual uploaded to repository

Group:          Development/Java 
License:        ASL 2.0
URL:            http://maven.apache.org/plugins/maven-repository-plugin/
Source0:        http://repo2.maven.org/maven2/org/apache/maven/plugins/%{name}/%{version}/%{name}-%{version}-source-release.zip

BuildArch: noarch

BuildRequires: java-devel >= 0:1.6.0
BuildRequires: plexus-utils
BuildRequires: ant
BuildRequires: maven
BuildRequires: maven-install-plugin
BuildRequires: maven-compiler-plugin
BuildRequires: maven-plugin-plugin
BuildRequires: maven-resources-plugin
BuildRequires: maven-surefire-plugin
BuildRequires: maven-surefire-provider-junit
BuildRequires: maven-surefire-provider-junit4
BuildRequires: maven-plugin-testing-harness
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: jpackage-utils
BuildRequires: junit4
BuildRequires: maven-shared-verifier
Requires: ant
Requires: maven
Requires: jpackage-utils
Requires: java
Requires(post): jpackage-utils
Requires(postun): jpackage-utils 

Obsoletes: maven2-plugin-repository <= 0:2.0.8
Provides: maven2-plugin-repository = 1:%{version}-%{release}

%description
This plugin is used to create bundles of artifacts that 
can be uploaded to the central repository.

%package javadoc
Group:          Development/Java 
Summary:        Javadoc for %{name}
Requires: jpackage-utils

%description javadoc
API documentation for %{name}.


%prep
%setup -q 

%build
#FIXME: test gets java.lang.NullPointerException
mvn-rpmbuild \
        -e \
        -Dmaven.test.failure.ignore=true \
        install javadoc:javadoc

%install
rm -rf %{buildroot}

# jars
install -d -m 0755 %{buildroot}%{_javadir}
install -m 644 target/%{name}-%{version}.jar   %{buildroot}%{_javadir}/%{name}.jar

%add_to_maven_depmap org.apache.maven.plugins %{name} %{version} JPP %{name}

# poms
install -d -m 755 %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml \
    %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom

# javadoc
install -d -m 0755 %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/api*/* %{buildroot}%{_javadocdir}/%{name}/

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%doc LICENSE.txt
%{_javadir}/*
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%files javadoc
%doc LICENSE.txt
%{_javadocdir}/%{name}



%changelog
* Wed Jul 20 2011 dmorgan <dmorgan> 2.3.1-4.mga2
+ Revision: 127209
- Fix file list
- Build with maven 3.x.
    Adapt to current guidelines.

* Thu Apr 28 2011 dmorgan <dmorgan> 2.3.1-3.mga1
+ Revision: 92723
- Rebuild after bootstrapping
- imported package maven-repository-plugin


* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Oct 14 2010 Alexander Kurtakov <akurtako@redhat.com> 2.3.1-1
- Update to 2.3.1.

* Wed Sep 15 2010 Yong Yang <yyang@redhat.com> 2.3-3
- BR: maven-shared-verifier
- Add dep wagon-provider-api by patch

* Mon Jun 07 2010 Yong Yang <yyang@redhat.com> 2.3-2
- Update summary due to length issue
- Add LICENSE.txt

* Fri Jun 04 2010 Yong Yang <yyang@redhat.com> 2.3-1
- Initial package.
